PTHREAD_MUTEX_DESTROY(3)

NAME
pthread_mutex_destroy - free resources allocated for a mutex

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_mutex_destroy(pthread_mutex_t *mutex);

DESCRIPTION
The pthread_mutex_destroy() function frees the resources allocated for mutex.

RETURN VALUES
If successful, pthread_mutex_destroy() will return zero, otherwise an error number will be returned to indicate the error.

ERRORS
The pthread_mutex_destroy() function will fail if:

[EINVAL]
    The value specified by mutex is invalid.

[EBUSY]
    Mutex is locked by another thread.

SEE ALSO
pthread_mutex_init(3), pthread_mutex_lock(3), pthread_mutex_trylock(3), pthread_mutex_unlock(3)

STANDARDS
The pthread_mutex_destroy() function conforms to p1003.1-96.